.\"
.\" Copyright (c) 1995, Matt Thomas
.\" All rights reserved.
.\"
.\" $FreeBSD: src/share/man/man4/fpa.4,v 1.3.2.5 1999/09/05 11:26:56 peter Exp $
.\"
.Dd March 13, 1995
.Dt FPA 4 i386
.Os FreeBSD
.Sh NAME
.Nm fpa ,
.Nm fea
.Nd Device Drivers for DEC FDDI Controllers
.Sh SYNOPSIS
.Cd "device fpa0"
.Cd "device fea0"
.Pp
.Tn FreeBSD
only:
.Cd "pseudo-device fddi"
.Sh DESCRIPTION
The
.Nm fpa
and
.Nm fea
device driver provides support for the DEC DEFPA PCI FDDI Controller and
the DEC DEFEA EISA FDDI Controller, respectively.  All variants of either
controller are supported including the DAS and SAS configurations.
.Pp
.Sh DIAGNOSTICS
.Bl -diag
.It "fea%d: error: desired IRQ of %d does not match device's actual IRQ (%d)"
The device probe detected that the DEFEA board is configured for a different 
interrupt than the one specified in the kernel configuration file.
.It "fea%d: error: memory not enabled! ECU reconfiguration required"
The device probe found that no device memory had been configured on the
DEFEA.  Also the DEFEA can be configured with no device memory, this driver
requires a mininum of 1K device memory be setup.  The ECU (EISA Configuration
Utility) will need to be run to change the settings.
.El
.Sh CAVEATS
Normally, the device driver will not enable the reception of SMT frames.
However if the IFF_LINK1 flag is set, the device driver will enable the
reception of SMT frames and pass them up to the Berkeley Packet Filter for 
processing.
.Pp
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh AUTHORS
The
.Nm fpa
and
.Nm fea
device driver and manual page was written by
.An Matt Thomas .
